#
# spec file for package libvisual (Version 0.4.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc41 libltdl libmudflap41 libnscd libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           libvisual
BuildRequires:  freeglut-devel gcc-c++ glibc-devel libdrm-devel pkgconfig
License:        GNU General Public License (GPL), GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:          Productivity/Multimedia/Sound/Visualization
Version:        0.4.0
Release:        25
Summary:        Sound Visualization Library
URL:            http://localhost.nl/~synap/libvisual/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %name-%{version}.tar.bz2
Patch:          %name-%{version}.diff
Patch1:         %name-%{version}-compiler_warnings.diff
Patch2:         libvisual.visual_cpu_get_altivec.patch

%description
Libvisual is a library that acts as a middle layer between applications
that want audio visualization and audio visualization plug-ins.

This library is used by amaroK, for example.



Authors:
--------
    Dennis Smit <synap@nerds-incorporated.org>
    Duilio J. Protti <dprotti@users.sourceforge.net>
    Vitaly V. Bursov <vitalyb@mail333.com>
    Gustavo Sverzut Barbieri <gsbarbieri@yahoo.com.br>

%debug_package
%package devel
Group:          Productivity/Multimedia/Sound/Visualization
Summary:        sound visualisation library
Requires:       libvisual = %{version}

%description devel
Libvisual is a library that acts as a middle layer between applications
that want audio visualisation and audio visualisation plugins.

This library is used by amaroK for example.



Authors:
--------
    Dennis Smit <synap@nerds-incorporated.org>
    Duilio J. Protti <dprotti@users.sourceforge.net>
    Vitaly V. Bursov <vitalyb@mail333.com>
    Gustavo Sverzut Barbieri <gsbarbieri@yahoo.com.br>

%prep
%setup -q
%patch
%patch1
%patch2 -p1

%build
libtoolize --force
autoreconf -f -i
%if %suse_version > 1000
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fstack-protector"
%endif
%ifarch %ix86
export CFLAGS="$RPM_OPT_FLAGS -mmmx"
%else
export CFLAGS="$RPM_OPT_FLAGS"
%endif
./configure \
  --prefix=/usr \
  --libdir=%_libdir \
  --enable-examples
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%_libdir/%name/{morph,input,actor,transform} $RPM_BUILD_ROOT%_datadir/%name/{morph,input,actor,transform}
sed -e 's, -L/usr/src/packages/BUILD/libvisual-%{version}/libvisual , ,' $RPM_BUILD_ROOT/%_libdir/libvisual-0.4.la > $RPM_BUILD_ROOT/%_libdir/libvisual-0.4.la.1
mv $RPM_BUILD_ROOT/%_libdir/libvisual-0.4.la.1 $RPM_BUILD_ROOT/%_libdir/libvisual-0.4.la
# *fixme*
rm -rf $RPM_BUILD_ROOT/%_datadir/locale

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog NEWS TODO COPYING
%_libdir/libvisual-0.4.so.*
%_libdir/libvisual
%_datadir/libvisual

%files devel
%defattr(-,root,root)
/usr/include/libvisual-0.4
%_libdir/pkgconfig/libvisual-0.4.pc
%_libdir/libvisual-0.4.so
%_libdir/libvisual-0.4.la

%changelog
* Tue Nov 21 2006 - olh@suse.de
- disable altivec [#219960]
* Tue Aug 29 2006 - mskibbe@suse.de
- fix some compiler warnings
- fix bug 199443 - libvisual-0.4.0-2: local variable used before
  set
* Tue Jul 04 2006 - cthiel@suse.de
- update to version 0.4.0
  * Real time timestamping support.
  * Will unref plugins that don't match the ABI version.
  * Added VisRectangle system.
  * New BMP loader that supports all depths and RLE encoding.
  * visual_mem_set(), visual_mem_set16(), visual_mem_set32()
  Optimized memset functions.
  * VisVideo new composite system.
  * VisVideo sub regions.
  * visual_video_zoom_*().
  * visual_video_mirror_*().
  * visual_video_rotate_*().
  * Removed obsolete visual_video_depth_transform_to_buffer().
  * Added VisCollection system.
  * Added VisHashmap.
  * Added VisCache.
  * VisAudio rewrite.
  * Added .license bit to VisPluginInfo for realtime license check.
  * Removed .struct_size and .api_version from the VisPluginInfo structure,
  and revamped the plugin version check system. Put
  VISUAL_PLUGIN_API_VERSION_VALIDATOR somewhere in your plugin and it'll
  work.
  * Homedir installable plugins ~/.libvisual/actor transform morph input.
  * Added VisOS. Realtime priority functions are hosted in this module.
  * Added VisMath. All kind of math related functions have been added, most
  note worthy are the _vectorized_. All of these are accelerated by
  mmx/3dnow/sse instructions.
  * VisFourier completely revamped.
* Tue Feb 28 2006 - hvogel@suse.de
- include transform directorys for plugins [#154112]
* Fri Feb 03 2006 - ro@suse.de
- Stack Protector only for > 10.0
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - hvogel@suse.de
- Make use of Stack Protector
* Mon Sep 26 2005 - mls@suse.de
- make devel package require base package
* Thu Jun 23 2005 - hvogel@suse.de
- remove build directory from dependency_libs
* Tue May 10 2005 - ro@suse.de
- use mmx on x86
* Thu Feb 10 2005 - adrian@suse.de
- update to official version 0.2.0
* Tue Feb 08 2005 - hvogel@suse.de
- fix build on ppc
* Wed Feb 02 2005 - hvogel@suse.de
- update to latest CVS (upcomming 0.2.0)
* Mon Nov 22 2004 - hvogel@suse.de
- the directorys do not belong to the devel subpackage
* Thu Nov 11 2004 - hvogel@suse.de
- include some directorys the libvisual plugins need
* Thu Oct 28 2004 - adrian@suse.de
- update to version 0.1.7
* Mon Oct 11 2004 - adrian@suse.de
- initial package of version 0.1.6
